package projectzombie.items;

import projectzombie.entity.player.EntityPlayer;
import projectzombie.init.Models;
import projectzombie.model.ModelItem;
import projectzombie.util.math.ItemStack;
import projectzombie.world.chunk.Chunk;
import projectzombie.world.layer.Layer;

public class ItemHealthPotion extends Item
{

	@Override
	public ModelItem getModel(short meta) {
		return Models.ITEM_HEALTH_POTION;
	}
	
	@Override
	public String getName(short meta) {
		return "Health Potion "+meta+" HP";
	}
	
	@Override
	public boolean onPlayerRightClick(ItemStack stack, Layer layer, Chunk chunk, EntityPlayer player) {
		player.addHealth(stack.meta);
		stack.count -= 1;
		return true;
	}
}
